<form id="demo-form2" data-parsley-validate="" class="form-horizontal form-label-left"
      (ngSubmit)="onSubmit()" #roundForm="ngForm">

  <div class="form-group">
    <label class="control-label col-md-3 col-sm-3 col-xs-12">Level</label>
    <div class="col-md-8 col-sm-8 col-xs-12">
      <div id="level" class="btn-group pull-left" data-toggle="buttons">
        <button class="btn btn-default" [class.btn-primary]="round.level=='LOCAL'" (click)="round.level='LOCAL'">
          LOCAL
        </button>
        <button #i2 class="btn btn-default" [class.btn-primary]="round.level=='REGION'" (click)="round.level='REGION'">
          REGION
        </button>
        <button class="btn btn-default" [class.btn-primary]="round.level=='FINAL'" (click)="round.level='FINAL'">
          FINAL
        </button>
      </div>
    </div>
  </div>

  <div class="form-group">
    <label for="city" class="control-label col-md-3 col-sm-3 col-xs-12">City</label>
    <div class="col-md-8 col-sm-8 col-xs-12">
      <input id="city" class="form-control col-md-9 col-xs-12" type="text" name="city" [(ngModel)]="round.city"
             required>
    </div>
  </div>
  <div class="form-group">
    <label for="year" class="control-label col-md-3 col-sm-3 col-xs-12">Year</label>
    <div class="col-md-8 col-sm-8 col-xs-12">
      <select id="year" class="form-control col-md-9 col-xs-12" name="year" [(ngModel)]="round.year">
        <option *ngFor="let year of years">{{year}}</option>
      </select>
    </div>
  </div>

  <div class="ln_solid"></div>
  <div class="form-group buttons-row">
    <div class="col-md-2 col-sm-2 col-xs-12 col-sm-offset-8">
      <button type="submit" class="btn btn-lg btn-success" [disabled]="!roundForm.form.valid">Create</button>
    </div>
  </div>

</form>

